import { Injectable } from '@angular/core';
import { MainService } from 'src/app/services/main.service';
import { map } from 'rxjs/operators';

@Injectable({
  providedIn: 'root'
})
export class PerformanceAllocationService {

  constructor(
    private mainService: MainService,
  ) { }

  // 字典
  getDictionary(type) {
    return this.mainService.getDictionary("list", type);
  }

  // 获取配置列表
  getConfig(postData) {
    return this.mainService.getFetchDataList("simple/data", "workOrderGradeBase", postData);
  }

  // simple增删改
  simplePost(type, model, postData) {
    return this.mainService.simplePost(type, model, postData);
  }
}
